OnDiskBlock.BlockType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Enum OnDiskBlock.BlockType

- java.lang.Object
- - java.lang.Enum<OnDiskBlock.BlockType>
  - - org.apache.cassandra.index.sasi.disk.OnDiskBlock.BlockType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OnDiskBlock.BlockType>
  Enclosing class:
    OnDiskBlock<T extends Term>

      public static enum OnDiskBlock.BlockType
      extends java.lang.Enum<OnDiskBlock.BlockType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATA`
    `POINTER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OnDiskBlock.BlockType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OnDiskBlock.BlockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POINTER

          public static final OnDiskBlock.BlockType POINTER

    - #### DATA

          public static final OnDiskBlock.BlockType DATA

  - ### Method Detail

    - #### values

          public static OnDiskBlock.BlockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnDiskBlock.BlockType c : OnDiskBlock.BlockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OnDiskBlock.BlockType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation